Skip to main content
curl -X POST "https://frontier.example.com/v1beta1/organizations/{org_id}/billing" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "body": {
      "name": "Acme Corp Billing",
      "email": "[email protected]",
      "phone": "+1234567890",
      "currency": "usd",
      "address": {
        "line1": "123 Main St",
        "line2": "Suite 100",
        "city": "San Francisco",
        "state": "CA",
        "postal_code": "94105",
        "country": "US"
      },
      "tax_data": [
        {
          "type": "us_ein",
          "id": "12-3456789"
        }
      ],
      "metadata": {}
    },
    "offline": false
  }'
{
  "billing_account": {
    "id": "billing_acc_123",
    "org_id": "org_123",
    "name": "Acme Corp Billing",
    "email": "[email protected]",
    "phone": "+1234567890",
    "currency": "usd",
    "state": "active",
    "provider_id": "cus_stripe123",
    "address": {
      "line1": "123 Main St",
      "line2": "Suite 100",
      "city": "San Francisco",
      "state": "CA",
      "postal_code": "94105",
      "country": "US"
    },
    "tax_data": [
      {
        "type": "us_ein",
        "id": "12-3456789"
      }
    ],
    "metadata": {},
    "created_at": "2023-06-07T05:39:56.961Z",
    "updated_at": "2023-06-07T05:39:56.961Z"
  }
}

Build docs developers (and LLMs) love